Author Topic: Roundcube no longer works after upgrade of Linux from Ubuntu 14.04 to 16.04  (Read 406 times)

Offline daveinlv

  • Newbie
  • *
  • Posts: 2
I have Roundcube installed on a KVM virtual server which had previously been running Ubuntu 14.04, but since that
version was EOL in April, I upgraded to 16.04, and immediately discovered that Roundcube (1.1.3) no longer worked.
After the upgrade, I am able to login to the login page of Roundcube, but after that I get a blank white screen. A check
of /var/log/apache2 shows the following

Code: [Select]
[Mon Jul 29 15:19:21.556281 2019] [:error] [pid 8941] [client xx.xx.xx.xx:51260] PHP Warning:  Declaration of rcmail::get_instance($env = '') should be compatible with rcube::get_instance($mode = 0, $env = '') in /opt/www/roundcubemail-1.1.3/program/include/rcmail.php on line 30

Not a php programmer, so I'm not sure of what this is telling me... Prior to the Linux upgrade, Roundcube worked fine..

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,533
    • http://SKaero.com/
Time to upgrade Roundcube, you're currently trying to run a version from 2015. The error is do to a compatibility with PHP 7 that has been fixed in newer versions.

Offline daveinlv

  • Newbie
  • *
  • Posts: 2
Thanks... Will upgrade...